## mini-buildd 2.4.0

=== debian/changelog ===
mini-buildd (2.4.0) unstable; urgency=medium

  Initial 2.4.x stable release.

  [ Gerhard A. Dittes ]
  * [b01c06d] src/mini_buildd/static/icons/back.svg: Create
  * [76cf48a] base.html, mini_buildd.{css,js}: Intelligently add back
    button to improve "file view" browsing usability
  * [653f6dd] file.html, mini_buildd.css: Enhance "clipboard && download"
    buttons appearance
  * [6226186] mini_buildd.css: Slightly adjust "search results" layout
  * [ad5b2ff] base.html: Fix alignment (cosmetics)
  * [51f98eb] base.html, mini_buildd.css: Don't use extra "a" element to
    shape "back button"
  * [0ae6600] mini_buildd.css: Fix some alignment to apply only for "file
    view" purposes
  * [88fe1b6] api/base.html: Fix "Don't show convenience URL if call
    already is non-popup"
  * [a9c4e8e] mini_buildd.css: Tweak "cli-json links" position (when shown
    w/o "url")
  * [4ee6303] mini_buildd.css: Finetune "mbd-info" positioning
  * [5d85a8d] mini_buildd.css: Fix datatable corners (affecting chromium
    based browsers)
  * [d527ca5] mini_buildd.css: Improve "plain result" appearance
  * [c933f26] manual/conf.py: Switch from "localtoc" to "navigation" for
    sidebar content
  * [544aeec] events/index.html: Transform some comment from html to
    django (to not be displayed after rendering)
  * [12b16e4] mini_buildd.css: Don't wrap "Event" column contents (for >=
    medium screen sizes)
  * [b8d4909] manual/_static/custom.css: Slightly tweak navigation font
    sizes

  [ Stephan Sürken ]
  * [3a62f03] api/base.html: Don't show convenience URL if call already is
    non-popup
  * [f9708e3] Revert "api/base.html: Fix "Don't show convenience URL if
    call already is non-popup""
  * [e85d860] config.py (Route.get_uri): Replace static_uri() w/ more
    general get_uri() function
  * [fb91fb1] urls.py (mbd_path): Drop mbd_path() helper (rather
    explicitly write path config django-style)
  * [05a6f69] src/mini_buildd/urls.py: Add (django) URLs for
    [events|builds|repositories]-static
  * [adee8d4] devel (mbd_test_urls): Add (tidy) test for new search API
    call
  * [5909069] api.py (Search): (json) result: Canonize result file paths
    && separate match list per source (repositories, events, ...)
  * [55001f5] api/search.html: Update to new json result && present both
    "download" and "view" links for each match
  * [b09277a] api.py (Search._run): Also search in the "builds" directory
  * [a4a2059] api.py (Search): Add mild warning for matches in builds and
    events (&& place builds before events results)
  * [90a8a8a] api/search.html: Add warnings/notes on search results
  * [c88b856] manual/roadmap.rst: Prepare roadmap for 2.4.x release
  * [8637414] manual/roadmap.rst: Add "apt key rollover" to brainstorm
  * [d0ccc57] manual/roadmap.rst: Add deb822 sources support to brainstorm

 -- Stephan Sürken <absurd@debian.org>  Sun, 11 May 2025 11:40:38 +0200

=== share/testsuite-packages/rejected-not-uploadable/debian/changelog ===
rejected-not-uploadable (1~test~SID+1) sid-test-stable; urgency=low

  * Test that this package gets REJECTED.

 -- Stephan Sürken <absurd@debian.org>  Tue, 12 Jan 2021 11:12:04 +0100

=== share/testsuite-packages/rejected-rollback/debian/changelog ===
rejected-rollback (1~test~SID+1) sid-test-unstable-rollback0; urgency=low

  * Test that this package gets REJECTED.

 -- Stephan Sürken <absurd@debian.org>  Tue, 12 Jan 2021 11:12:04 +0100

=== debian/control ===
Source: mini-buildd
Section: devel
Priority: optional
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends:
	debhelper-compat (= 13),
	dh-python,
	bash-completion,
	man-db (>= 2.5.1),
	po-debconf,
	python3 (>= 3.11),
	python3-setuptools,
	python3-packaging,
	python3-sphinx (>= 3.5),
	python3-pygraphviz,
	man2html,
	help2man,
	python3-dateparser,
	python3-argcomplete (>= 2),
	python3-keyring (>= 17),
	python3-debian (>= 0.1.18~),
	python3-distro-info (>= 1.0~),
	python3-twisted (>= 24.3),
	python3-pyftpdlib (>= 1.2.0),
	python3-django (>= 3:3.2),
	python3-gpg,
	minify,
	gnupg,
# Needed for contrib.py only:
	python3-bs4,
# Needed for super-portext only:
	python3-apt
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
Homepage: http://mini-buildd.installiert.net/
X-Python3-Version: >= 3.11

Package: python3-mini-buildd
Section: python
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
	python3-packaging,
	python3-dateparser,
	python3-argcomplete (>= 2),
	python3-keyring (>= 17),
	python3-debian (>= 0.1.25~),
	python3-distro-info (>= 1.0~),
	python3-twisted (>= 24.3),
	python3-pyftpdlib (>= 1.2.0),
	python3-django (>= 3:3.2),
	python3-gpg,
	libjs-jquery,
	libjs-jquery-datatables,
# This version fixes Debian bug 960859:
	node-clipboard (>= 2.0.6+ds+~cs7.6.4-1~)
Conflicts: python-mini-buildd
Replaces: python-mini-buildd
Suggests:
	python3-bs4,
# For API call 'debmirror'
	debmirror
Description: minimal build daemon - Python library and user tool
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package contains the "mini_buildd" Python package.

Package: mini-buildd
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
	${misc:Depends},
	${python3:Depends},
	python3-mini-buildd (= ${binary:Version}),
	adduser,
	sudo,
# >= 2.2.26 to avoid bugs #972525 #868550
	gnupg (>= 2.2.26),
	dirmngr,
# Avoid bugs 1050321, 1056380
	reprepro (>= 5.3.1-4~),
	debootstrap (>= 1.0.126+nmu1~),
# debootstrap needs ``zstdcat`` for "newer Ubuntus"
	zstd,
	schroot (>= 1.6.10-3~),
	schroot (<< 1.7),
	sbuild (>= 0.72),
	dpkg-dev (>= 1.17.27~),
	devscripts (>= 2.14.5~)
Recommends:
	lintian,
	piuparts,
	autopkgtest,
	mini-buildd-doc,
	python3-apt,
# Make convenience list of available system's architectures available
	arch-test
Suggests:
	debian-archive-keyring,
	ubuntu-keyring,
	haveged,
	lvm2,
	qemu-user-static (>= 1:5.2),
	binfmt-support,
	btrfs-progs,
	openssl
Breaks:
	mini-buildd-rep (<< 1.0.0~),
	mini-buildd-bld (<< 1.0.0~)
Replaces:
	mini-buildd-rep,
	mini-buildd-bld
Description: minimal build daemon - daemon
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package provides the main daemon.

Package: mini-buildd-utils
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
	python3-mini-buildd (= ${binary:Version}),
	python3-apt
Recommends:
# for bootstrap-apt (handy to parse json from shell generally)
	jq,
# for bootstrap-apt
	lsb-release
Replaces: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
Breaks: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
Description: minimal build daemon - utilities
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package provides (optional) utilities, notably mini-buildd-api,
	a command line to access the web API.

Package: mini-buildd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
	${misc:Depends},
	${sphinxdoc:Depends}
Replaces: mini-buildd (<< 1.1.5~)
Breaks: mini-buildd (<< 1.1.5~)
Description: minimal build daemon - manual
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package contains the HTML documentation.

=== share/testsuite-packages/rejected-rollback/debian/control ===
Source: rejected-rollback
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: rejected-rollback
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/package-templates/mbd-test-cpp/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1

%:
	dh $@ --with autoreconf --parallel

# Will make this package work for squeeze:
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## mini-buildd 2.4.1

=== debian/changelog ===
mini-buildd (2.4.1) unstable; urgency=medium

  2.4.1 stable release: Minor doc and web search tweaks.

  [ Stephan Sürken ]
  * [10334f6] manual/roadmap.rst(brainstorm): Fix RST "syntax error" for
    bullet list
  * [814fbae] manual/roadmap.rst: Add hint to master/development roadmap
    on the home page
  * [c53eb9f] api.py (Search._run): Make search case insensitive
  * [362ab75] api.py (Search): Make actual search pattern string available
    as class variable
  * [821c93b] api/search.html: Show glob pattern actually searched for

  [ Gerhard A. Dittes ]
  * [8b387f9] mini_buildd.{css,js}: Tweak search form (i.a. change
    placeholder text && hide search button)
  * [9744097] mini_buildd.{css,js}: Improve "search packages"
    responsiveness
  * [25afa9d] mini_buildd.css: Improve "search's optional arguments
    positioning"

 -- Stephan Sürken <absurd@debian.org>  Mon, 11 Aug 2025 17:01:28 +0200

## mini-buildd 2.4.2~bpo13+1

=== debian/changelog ===
mini-buildd (2.4.2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stephan Sürken <absurd@debian.org>  Wed, 27 Aug 2025 11:44:55 +0200

mini-buildd (2.4.2) unstable; urgency=medium

  2.4.2 stable release: Minor fixes && maintenance after trixie release

  * [49f345b] webapp.py: [django 4.0] Set CSRF_TRUSTED_ORIGINS (can fix
    django logins on a proxy setup)
  * [2f380d7] debian/control (Vcs-Git): Add branch hint (for 2.4.x/stable)
  * [d6b4c05] dist.py: Add new trixie APT keys (archive, release,
    security)
  * [c234ee4] dist.py: Update APT keys for trixie
  * [c397ef4] dist.py: Add forky template
  * [a27ac9e] api.py (KeyringPackages): Use same (timestamp) version
    across distributions (Fixes: keyring packages may not be dist-
    upgradeable)

 -- Stephan Sürken <absurd@debian.org>  Sun, 17 Aug 2025 10:47:02 +0200

## mini-buildd 2.4.2.dev20250817141607~ab~FORKY+0

=== debian/changelog ===
mini-buildd (2.4.2.dev20250817141607~ab~FORKY+0) forky-ab-snapshot; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    a1bdf6e42103f6dbfa2c1a574ae8047158c290a6.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Sun, 17 Aug 2025 16:18:46 +0200

mini-buildd (2.4.2.dev20250817141607~ab13+0) trixie-ab-snapshot; urgency=medium

  * UNRELEASED
  * MINI_BUILDD_OPTION: lintian-mode=ignore
  * MINI_BUILDD_OPTION: auto-ports=forky-ab-snapshot,sid-ab-snapshot

 -- Stephan Sürken <absurd@debian.org>  Sun, 17 Aug 2025 16:16:07 +0200

## mini-buildd 2.4.2.dev20250817141607~ab~SID+0

=== debian/changelog ===
mini-buildd (2.4.2.dev20250817141607~ab~SID+0) sid-ab-snapshot; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    a1bdf6e42103f6dbfa2c1a574ae8047158c290a6.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Sun, 17 Aug 2025 16:18:48 +0200

## mini-buildd 2.4.2.dev20250817155456~ab~FORKY+0

=== debian/changelog ===
mini-buildd (2.4.2.dev20250817155456~ab~FORKY+0) forky-ab-snapshot; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    1acc37996e6f04f1c5aea500ace3d8a688d80f49.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Sun, 17 Aug 2025 17:59:54 +0200

mini-buildd (2.4.2.dev20250817155456~ab13+0) trixie-ab-snapshot; urgency=medium

  * [2e49b52] package.py (KeyringPackage): Don't call json_pretty twice
    for dput profile (Fixes dput syntax error)
  * MINI_BUILDD_OPTION: lintian-mode=ignore
  * MINI_BUILDD_OPTION: auto-ports=forky-ab-snapshot,sid-ab-snapshot

 -- Stephan Sürken <absurd@debian.org>  Sun, 17 Aug 2025 17:54:56 +0200

## mini-buildd 2.4.2.dev20250817155456~ab~SID+0

=== debian/changelog ===
mini-buildd (2.4.2.dev20250817155456~ab~SID+0) sid-ab-snapshot; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    1acc37996e6f04f1c5aea500ace3d8a688d80f49.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Sun, 17 Aug 2025 17:59:52 +0200

## mini-buildd 2.4.3

=== debian/changelog ===
mini-buildd (2.4.3) unstable; urgency=medium

  * [2e49b52] package.py (KeyringPackage): Don't call json_pretty twice
    for dput profile (Fixes dput syntax error)

 -- Stephan Sürken <absurd@debian.org>  Sat, 23 Aug 2025 18:59:58 +0200

## mini-buildd 2.4.4~bpo13+1

=== debian/changelog ===
mini-buildd (2.4.4~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stephan Sürken <absurd@olurdix.de>  Mon, 01 Sep 2025 10:55:24 +0200

mini-buildd (2.4.4) unstable; urgency=medium

  [ Stephan Sürken ]
  * [5d4a3b3] manual/administrator.rst: Add workflow how to update archive
    key's UID

  [ Carles Pina i Estany ]
  * [1cb5307] Added po-debconf Catalan translation (Closes: 1106015)

 -- Stephan Sürken <absurd@debian.org>  Tue, 26 Aug 2025 13:27:16 +0200

## mini-buildd 2.4.4

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
-Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
+Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git -b 2.4.x
 Homepage: http://mini-buildd.installiert.net/
 X-Python3-Version: >= 3.11

## mini-buildd 2.4.5~bpo13%2B1

=== share/package-templates/mbd-test-archall/debian/changelog ===
mbd-test-archall (0.1.0) UNRELEASED; urgency=low

  * Test package for mini-buildd, ignore.
  * Builds one 'Architecure: all' package.
  * Should build on the archall-Architecture, and be skipped on others.

 -- Stephan Sürken <absurd@debian.org>  Mon, 12 Aug 2013 18:13:40 +0200

=== share/testsuite-packages/rejected-not-uploadable/debian/control ===
Source: rejected-not-uploadable
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: rejected-not-uploadable
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

## mini-buildd 2.4.5~bpo13+1

=== debian/changelog ===
mini-buildd (2.4.5~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stephan Sürken <absurd@olurdix.de>  Tue, 07 Oct 2025 09:32:25 +0200

mini-buildd (2.4.5) unstable; urgency=medium

  2.4.5 stable release: A collection of minor fixes

  [ Stephan Sürken ]
  * [8786e5a] manual/administrator.rst: Fix speling error
    (unsecure->insecure)
  * [84984ef] debian/control (Homepage): Update to https
  * [9d9c538] manual/developer.rst: Improve doc for deprecated upload
    options
  * [51b3ce7] devel: Update trixie version (13), add new testing "forky"
    (fixes testsuite run under trixie)

  [ Gerhard A. Dittes ]
  * [ebabdb1] mini_buildd.css: Fix dataTable responsiveness for certain
    overly long error messages
  * [cb8af56] mini_buildd.css: Fix buildlog's indicator positioning
  * [44635b3] manual/conf.py: Switch from "navigation" to "globaltoc" for
    sidebar content (w/ depth of 3)

 -- Stephan Sürken <absurd@debian.org>  Thu, 02 Oct 2025 14:31:29 +0200

=== share/package-templates/mbd-test-cpp/debian/changelog ===
mbd-test-cpp (0.0.9) unstable; urgency=low

  * Fake entry to test non-ASCII "original_author" magic.
    At least for python 2.7, we need to do some magic to get
    encoding right, which finally is prone to python encoding
    errors later somewhere ;).
    Code: See argument to 'genchanges' call in '_port()'
    method from 'daemon.py'.

 -- Üdo Ümlauß <uedo@uemlauss.test.org>  Mon, 12 Aug 2012 18:13:02 +0200

=== share/testsuite-packages/installed-nocheck/debian/control ===
Source: installed-nocheck
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: installed-nocheck
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/testsuite-packages/installed-options/debian/control ===
Source: installed-options
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: installed-options
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/testsuite-packages/installed-options/debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/bash

%:
	[ -z "$${SCHROOT_SESSION_ID}" ] || echo "$${DEB_BUILD_OPTIONS}" | grep --word-regexp "deb_build_options_any"
	[ -z "$${SCHROOT_SESSION_ID}" ] || [ "$${DEB_BUILD_ARCH}" != "amd64" -a "$${DEB_BUILD_ARCH}" != "i386" ] || echo "$${DEB_BUILD_PROFILES}" | grep --word-regexp "deb_build_profiles_$${DEB_BUILD_ARCH}"

	dh $@

=== share/testsuite-packages/installed-sbuild-checks/debian/tests/control ===
Tests: stub
Depends: installed-sbuild-checks

## mini-buildd 2.4.5

=== share/testsuite-packages/installed-nocheck/Makefile ===
all:
	echo "NOP 'all' target"

check:
	echo "Always failing 'check' target"
	[ -z "$${SCHROOT_SESSION_ID}" ] || false

=== share/package-templates/mbd-test-ftbfs/debian/changelog ===
mbd-test-ftbfs (0.1.0) UNRELEASED; urgency=low

  * Test package for mini-buildd, ignore.
  * Builds one 'Architecure: any' package with C++ compilation.
  * Upstream is broken, so this always FTBFS.

 -- Stephan Sürken <absurd@debian.org>  Mon, 12 Aug 2013 18:12:42 +0200

=== share/testsuite-packages/installed-nocheck/debian/changelog ===
installed-nocheck (1~test~SID+1) sid-test-unstable; urgency=low

  ``make check`` always fails here, but we want to build anyway.
  ------------------------
   * MINI_BUILDD_OPTION: deb-build-options=nocheck

 -- Foo Bar <foo@bar.org>  Thu, 30 Jul 2020 12:01:15 +0200

=== share/testsuite-packages/installed-non-free/debian/changelog ===
installed-non-free (1~test~SID+1) sid-test-unstable; urgency=low

  package in section non-free

 -- Foo Bar <foo@bar.org>  Thu, 30 Jul 2020 12:01:15 +0200

=== share/testsuite-packages/installed-udeb/debian/changelog ===
installed-udeb (1~test~SID+1) sid-test-unstable; urgency=low

  [ Foo Bar ]
  * "installed-deb.deb" binary package: Installed, available via APT
  * "installed-udeb.udeb": Installed, NOT available via APT

 -- Foo Bar <foo@bar.org>  Sat, 07 Sep 2024 12:18:22 +0200

=== share/testsuite-packages/rejected-malformed-diststr/debian/changelog ===
rejected-malformed-diststr (1~test~SID+1) sidtestunstable; urgency=low

  * Test that this package get REJECTED.

 -- Foo Bar <foo@bar.org>  Thu, 30 Jul 2020 12:01:15 +0200

=== share/testsuite-packages/rejected-unknown-repository/debian/changelog ===
rejected-unknown-repository (1~test~SID+1) sid-unknown-unstable; urgency=low

  * Test that this package get REJECTED.

 -- Foo Bar <foo@bar.org>  Thu, 30 Jul 2020 12:01:15 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
 Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git -b 2.4.x
-Homepage: http://mini-buildd.installiert.net/
+Homepage: https://mini-buildd.installiert.net/
 X-Python3-Version: >= 3.11
 
 Package: python3-mini-buildd

=== share/package-templates/archive-keyring/debian/control ===
Source: %ID%-archive-keyring
Section: misc
Priority: optional
Maintainer: %MAINT%
Build-Depends: debhelper (>= 9)
Standards-Version: 4.0.0

Package: %ID%-archive-keyring
Architecture: all
Depends: ${misc:Depends}
Description: mini-buildd archive keys (and sources.lists) for %ID%
 Automatic archive keys and APT sources.list library for
 mini-buildd instance id %ID%.

=== share/package-templates/mbd-test-archall/debian/control ===
Source: mbd-test-archall
Section: misc
Priority: optional
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 4.1.0

Package: mbd-test-archall
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/package-templates/mbd-test-cpp/debian/control ===
Source: mbd-test-cpp
Section: misc
Priority: optional
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-autoreconf,
# For Security Sources tests
	libssl-dev
Standards-Version: 4.1.0

Package: mbd-test-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/package-templates/mbd-test-ftbfs/debian/control ===
Source: mbd-test-ftbfs
Section: misc
Priority: optional
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 4.1.0

Package: mbd-test-ftbfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/testsuite-packages/installed-non-free/debian/control ===
Source: installed-non-free
Section: non-free/misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: installed-non-free
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/testsuite-packages/installed-port/debian/control ===
Source: installed-port
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: installed-port
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/testsuite-packages/installed-sbuild-checks/debian/control ===
Source: installed-sbuild-checks
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: installed-sbuild-checks
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/testsuite-packages/installed-udeb/debian/control ===
Source: installed-udeb
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: installed-deb
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

Package: installed-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.
XC-Package-Type: udeb

=== share/testsuite-packages/rejected-malformed-diststr/debian/control ===
Source: rejected-malformed-diststr
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: rejected-malformed-diststr
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== share/testsuite-packages/rejected-unknown-repository/debian/control ===
Source: rejected-unknown-repository
Section: misc
Priority: optional
Maintainer: Foo Bar <foo@bar.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.1.0

Package: rejected-unknown-repository
Architecture: any
Depends: ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,sphinxdoc,bash-completion --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	chmod 440 debian/mini-buildd/etc/sudoers.d/mini-buildd-sudoers

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	sphinx-build -N -bhtml ./manual/ ./build/sphinx/html/
endif

override_dh_auto_test:
	dh_auto_test
	./pydoctests

=== share/package-templates/mbd-test-archall/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1

%:
	dh $@ --with autoreconf

=== share/package-templates/mbd-test-cpp/debian/tests/control ===
Tests: run-binary
Depends: mbd-test-cpp

## mini-buildd 2.4.6

=== debian/changelog ===
mini-buildd (2.4.6) unstable; urgency=medium

  2.4.6 stable release: Minor Web UI improvements

  [ Gerhard A. Dittes ]
  * [e79df11] mini_buildd.css: Make popup content resizable to improve
    visibility issues
  * [d9f48f8] mini_buildd.{css,js}: Fix missing "search progress
    indicator"

 -- Stephan Sürken <absurd@debian.org>  Wed, 19 Nov 2025 13:40:39 +0100

## mini-buildd 2.4.7~bpo13+1

=== debian/changelog ===
mini-buildd (2.4.7~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stephan Sürken <absurd@debian.org>  Thu, 04 Dec 2025 19:23:09 +0100

mini-buildd (2.4.7) unstable; urgency=medium

  2.4.7 stable release: Fixes for forky package updates (sbuild, sysvinit)

  * [ae04c8a] debian/mini-buildd.init: Use shebang as described in man 5
    init-d-script (Fixes `./devel purge` vor sysvinit 3.15)
  * [2cf94cd] debian/control (Depends): sbuild 0.91: Add 1st dependency on
    new sbuild-schroot (where sbuild group creation has moved now)
  * [e31bab4] debian/control (Pre-Depends): Make sbuild deps pre-depends
    (Fixes '1st time' install errors)

 -- Stephan Sürken <absurd@debian.org>  Thu, 27 Nov 2025 15:16:50 +0100

## mini-buildd 2.4.7

=== debian/control ===
--- 
+++ 
@@ -71,7 +71,10 @@
 
 Package: mini-buildd
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+# We need sbuild group as created by sbuild (or sbuild-schroot since 0.91) pre-existing for mini-buildd.postinst
+	sbuild-schroot | sbuild (>= 0.72),
+	${misc:Pre-Depends}
 Depends:
 	${misc:Depends},
 	${python3:Depends},
@@ -88,7 +91,6 @@
 	zstd,
 	schroot (>= 1.6.10-3~),
 	schroot (<< 1.7),
-	sbuild (>= 0.72),
 	dpkg-dev (>= 1.17.27~),
 	devscripts (>= 2.14.5~)
 Recommends:

## mini-buildd 2.4.8

=== debian/changelog ===
mini-buildd (2.4.8) unstable; urgency=medium

  2.4.8 stable release: Fixes for forky package updates (shadow,
  sbuild, pylint)

  * [c3e22aa] debian/mini-buildd.postinst: Ignore usermod fail in compat
    call (forky, shadow 4.19)
  * [b300ba1] changes.py (Base._move_to): Fix left-over format variable in
    DEBUG log line
  * [abb25fd] urls.py: [pylint 4/invalid-name]: Un-capitalize HOME_VIEW
    and _URI variables
  * [83e8e0d] builder.py: [pylint 4/invalid-name]: Explicitly define
    HTTPShutdown class
  * [c936fe4] dist|sbuild.py: [sbuild 0.91]: Support changed result
    strings in sbuild status

 -- Stephan Sürken <absurd@debian.org>  Tue, 17 Feb 2026 19:54:10 +0100

## mini-buildd 2.4.8build1

=== debian/changelog ===
mini-buildd (2.4.8build1) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Feb 2026 18:56:09 +0000

## mini-buildd 2.5.0

=== debian/changelog ===
mini-buildd (2.5.0) experimental; urgency=medium

  Initial 2.5.x development release.

  This currently has all stable updates up to 2.4.4 and only minor other
  changes.

  [ Stephan Sürken ]
  * Pseudo header (for 2.5.x dev version)
  * [10334f6] manual/roadmap.rst(brainstorm): Fix RST "syntax error" for
    bullet list
  * [814fbae] manual/roadmap.rst: Add hint to master/development roadmap
    on the home page
  * [c53eb9f] api.py (Search._run): Make search case insensitive
  * [362ab75] api.py (Search): Make actual search pattern string available
    as class variable
  * [821c93b] api/search.html: Show glob pattern actually searched for
  * [c927708] Add nginx site proxy example
  * [7c3782b] webapp.py: [django 4.0] Set CSRF_TRUSTED_ORIGINS (can fix
    django logins on a proxy setup)
  * [48b7f09] dist.py: Add new trixie APT keys (archive, release,
    security)
  * [6c3c63d] dist.py: Update APT keys for trixie
  * [139b51b] dist.py: Add forky template
  * [666e737] devel (tofu-bootstrap): Instead of (on exit) removing 'mbd-
    testsuite.list', rename to .disabled
  * [fac7a3b] api.py (KeyringPackages): Use same (timestamp) version
    across distributions (Fixes: keyring packages may not be dist-
    upgradeable)
  * [8e49629] api.py (Reindex): Minor typo fix in doc text (repreprop ->
    reprepro)
  * [0c925e1] package.py (KeyringPackage): Don't call json_pretty twice
    for dput profile (Fixes dput syntax error)
  * [ddcd44c] debian/changelog: Add pseudo header (for 2.5.x development
    versions)
  * [778384f] devel (MBD_DEBCONF): Use 'debconf-set-selections' instead of
    'debconf-communicate' (now marks preseeded values 'seen')
  * [9e95336] manual/administrator.rst: Add workflow how to update archive
    key's UID

  [ Carles Pina i Estany ]
  * [3e52aa3] Added po-debconf Catalan translation (Closes: 1106015)

  [ Gerhard A. Dittes ]
  * [8b387f9] mini_buildd.{css,js}: Tweak search form (i.a. change
    placeholder text && hide search button)
  * [9744097] mini_buildd.{css,js}: Improve "search packages"
    responsiveness
  * [25afa9d] mini_buildd.css: Improve "search's optional arguments
    positioning"

 -- Stephan Sürken <absurd@debian.org>  Tue, 26 Aug 2025 13:39:06 +0200

## mini-buildd 2.5.1

=== debian/changelog ===
mini-buildd (2.5.1) experimental; urgency=medium

  Summary:
  2.5.1 development release.

  * Logging: More explicit log options: --log-systemd, --log-stamp
  * All cumulated fixes from 2.4.x

  Details:
  [ Gerhard A. Dittes ]
  * [ace6e90] mini_buildd.css: Fix dataTable responsiveness for certain
    overly long error messages
  * [056e691] mini_buildd.css: Fix buildlog's indicator positioning
  * [6686b81] manual/conf.py: Switch from "navigation" to "globaltoc" for
    sidebar content (w/ depth of 3)

  [ Stephan Sürken ]
  * [549c36e] manual/administrator.rst: Fix speling error
    (unsecure->insecure)
  * [efa2177] devel (service.log): For journalctl, rather use --identifier
    that --unit (see FAQ in docs)
  * [67882b7] devel (service.log): Show/log command we use to show log
  * [bcbae82] src/mini_buildd/cli.py (StdErrHandler): Rather make
    SYSTEMD_PREFIX map be constant class attribute (style)
  * [7cfea36] cli.py: Add --log-systemd, --log-stamp: Explicitly decide
    how to log via the command line
  * [05b8028] devel (service.log): Drop using ts (from moreutils)
  * [04432a5] debian/control (Homepage): Update to https
  * [23e1442] manual/developer.rst: Improve doc for deprecated upload
    options
  * [998aa79] devel: Update trixie version (13), add new testing "forky"
    (fixes testsuite run under trixie)

 -- Stephan Sürken <absurd@debian.org>  Tue, 07 Oct 2025 09:34:18 +0200

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
-Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git -b 2.4.x
+Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
 Homepage: https://mini-buildd.installiert.net/
 X-Python3-Version: >= 3.11
 
@@ -71,10 +71,7 @@
 
 Package: mini-buildd
 Architecture: all
-Pre-Depends:
-# We need sbuild group as created by sbuild (or sbuild-schroot since 0.91) pre-existing for mini-buildd.postinst
-	sbuild-schroot | sbuild (>= 0.72),
-	${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
 	${misc:Depends},
 	${python3:Depends},
@@ -91,6 +88,7 @@
 	zstd,
 	schroot (>= 1.6.10-3~),
 	schroot (<< 1.7),
+	sbuild (>= 0.72),
 	dpkg-dev (>= 1.17.27~),
 	devscripts (>= 2.14.5~)
 Recommends:

## mini-buildd 2.5.2

=== debian/changelog ===
mini-buildd (2.5.2) experimental; urgency=medium

  Summary:
  2.5.2 development release.

  * Minor UI fixes
  * Fixes for forky updates (sysvinit 3.15, sbuild 0.91)

  Details:
  [ Gerhard A. Dittes ]
  * [cadc7a7] mini_buildd.css: Make popup content resizable to improve
    visibility issues
  * [1a3fa47] mini_buildd.{css,js}: Fix missing "search progress
    indicator"

  [ Stephan Sürken ]
  * [3ee40e9] debian/changelog: Prepare 2.5.1
  * [b7b61cd] debian/mini-buildd.init: Use shebang as described in man 5
    init-d-script (Fixes `./devel purge` vor sysvinit 3.15)
  * [d7e49b3] debian/control (Depends): sbuild 0.91: Add 1st dependency on
    new sbuild-schroot (where sbuild group creation has moved now)
  * [e7f8e91] debian/control (Pre-Depends): Make sbuild deps pre-depends
    (Fixes '1st time' install errors)

 -- Stephan Sürken <absurd@debian.org>  Thu, 27 Nov 2025 14:17:01 +0100

## mini-buildd 2.5.3

=== debian/changelog ===
mini-buildd (2.5.3) experimental; urgency=medium

  Summary:
  2.5.3 development release:
    * Fixes for forky updates (pylint 4, sbuild 0.91)

  Details:
  [ Gerhard A. Dittes ]
  * [2e34716] templates/admin/mbd_setup_header.html: Fix typo in warning
    message

  [ Stephan Sürken ]
  * [4a7be37] debian/mini-buildd.postinst: Ignore usermod fail in compat
    call (forky, shadow 4.19)
  * [fbfd61c] changes.py (Base._move_to): Fix left-over format variable in
    DEBUG log line
  * [263e834] urls.py: [pylint 4/invalid-name]: Un-capitalize HOME_VIEW
    and _URI variables
  * [c0d0a8d] builder.py: [pylint 4/invalid-name]: Explicitly define
    HTTPShutdown class
  * [96d03ac] dist|sbuild.py: [sbuild 0.91]: Support changed result
    strings in sbuild status

 -- Stephan Sürken <absurd@debian.org>  Tue, 17 Feb 2026 19:49:10 +0100

=== debian/control ===
--- 
+++ 
@@ -71,7 +71,10 @@
 
 Package: mini-buildd
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+# We need sbuild group as created by sbuild (or sbuild-schroot since 0.91) pre-existing for mini-buildd.postinst
+	sbuild-schroot | sbuild (>= 0.72),
+	${misc:Pre-Depends}
 Depends:
 	${misc:Depends},
 	${python3:Depends},
@@ -88,7 +91,6 @@
 	zstd,
 	schroot (>= 1.6.10-3~),
 	schroot (<< 1.7),
-	sbuild (>= 0.72),
 	dpkg-dev (>= 1.17.27~),
 	devscripts (>= 2.14.5~)
 Recommends:
